{ pkgs, ... }@all: with all;
{
  environment.systemPackages = with pkgs; [
    gnupg
    gpg-tui
  ];

  programs.gnupg = {
    dirmngr.enable = true;
    agent = {
      enable = true;
      enableSSHSupport = true;
      enableExtraSocket = true;
      enableBrowserSocket = true;
      # pinentryPackage = pkgs.pinentry-gtk2;
    };
  };
}
